<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/uart.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">uart.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/d86/uart_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#ifndef __UART_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#define __UART_H__</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="comment">/* UA_LCR constants definitions                                                                            */</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga26c5e8b712a0a1db254ec39b7e7fff89">   38</a></span><span class="preprocessor">#define UART_WORD_LEN_5        (0) </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf1774a8b00bf1193f4e3d124af968ab9">   39</a></span><span class="preprocessor">#define UART_WORD_LEN_6        (1) </span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa05951c6ae838f19a4adad48172bd9db">   40</a></span><span class="preprocessor">#define UART_WORD_LEN_7        (2) </span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga861ae53255163bf7cd2d80d913cebb1d">   41</a></span><span class="preprocessor">#define UART_WORD_LEN_8        (3) </span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga270dea6e1a92dd83fe58802450bdd60c">   43</a></span><span class="preprocessor">#define UART_PARITY_NONE    (0x0 &lt;&lt; UART_TLCTL_PBE_Pos) </span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga229615e64964f68f7a856ea6ffea359e">   44</a></span><span class="preprocessor">#define UART_PARITY_ODD     (0x1 &lt;&lt; UART_TLCTL_PBE_Pos) </span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga063b14ac42ef9e8f4246c17a586b14eb">   45</a></span><span class="preprocessor">#define UART_PARITY_EVEN    (0x3 &lt;&lt; UART_TLCTL_PBE_Pos) </span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8cb7d86a9ed87158677314c01f358cb6">   46</a></span><span class="preprocessor">#define UART_PARITY_MARK    (0x5 &lt;&lt; UART_TLCTL_PBE_Pos) </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga306c559681a17e95516d3a3f2f8533bb">   47</a></span><span class="preprocessor">#define UART_PARITY_SPACE   (0x7 &lt;&lt; UART_TLCTL_PBE_Pos) </span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga58e87dcac022388ad406eb83031777db">   49</a></span><span class="preprocessor">#define UART_STOP_BIT_1     (0x0 &lt;&lt; UART_TLCTL_NSB_Pos) </span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab3aede405f7c8862476bfbd798997e81">   50</a></span><span class="preprocessor">#define UART_STOP_BIT_1_5   (0x1 &lt;&lt; UART_TLCTL_NSB_Pos) </span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac4d9bc854560827e6f6cbfe23389674a">   51</a></span><span class="preprocessor">#define UART_STOP_BIT_2     (0x1 &lt;&lt; UART_TLCTL_NSB_Pos) </span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa2fb5416da8b1cdd9fd4ef00040c58b8">   53</a></span><span class="preprocessor">#define UART_TLCTL_RFITL_1BYTE        (0x0 &lt;&lt; UART_TLCTL_RFITL_Pos)   </span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga347bad481e9cb30ba2e8147798cb37c8">   54</a></span><span class="preprocessor">#define UART_TLCTL_RFITL_4BYTES       (0x1 &lt;&lt; UART_TLCTL_RFITL_Pos)   </span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0092e543f2f3c78e153557cbfd6d3ab4">   55</a></span><span class="preprocessor">#define UART_TLCTL_RFITL_8BYTES       (0x2 &lt;&lt; UART_TLCTL_RFITL_Pos)   </span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa6cd8dc91b5eb323ab13eac75ead25a2">   56</a></span><span class="preprocessor">#define UART_TLCTL_RFITL_14BYTES      (0x3 &lt;&lt; UART_TLCTL_RFITL_Pos)   </span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac2c8a6dcfee4424ccd0b4a294a992073">   58</a></span><span class="preprocessor">#define UART_TLCTL_RTS_TRI_LEV_1BYTE        (0x0 &lt;&lt; UART_TLCTL_RTS_TRI_LEV_Pos)  </span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0ab4f88daf875f8d7771977ad6d68c8c">   59</a></span><span class="preprocessor">#define UART_TLCTL_RTS_TRI_LEV_4BYTES       (0x1 &lt;&lt; UART_TLCTL_RTS_TRI_LEV_Pos)  </span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8001d59ec9a045c5f547fcd0ded5b46a">   60</a></span><span class="preprocessor">#define UART_TLCTL_RTS_TRI_LEV_8BYTES       (0x2 &lt;&lt; UART_TLCTL_RTS_TRI_LEV_Pos)  </span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad352ccf693cc547458485e7ba7b824c7">   61</a></span><span class="preprocessor">#define UART_TLCTL_RTS_TRI_LEV_14BYTES      (0x3 &lt;&lt; UART_TLCTL_RTS_TRI_LEV_Pos)  </span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="comment">/* UART RTS LEVEL TRIGGER constants definitions                                                            */</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf6092e01dd538b74460bf0a48d774882">   67</a></span><span class="preprocessor">#define UART_RTS_IS_HIGH_LEV_TRG    (0x1 &lt;&lt; UART_MCSR_LEV_RTS_Pos) </span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae396db460cc40325e6ff48e101a12fa7">   68</a></span><span class="preprocessor">#define UART_RTS_IS_LOW_LEV_TRG     (0x0 &lt;&lt; UART_MCSR_LEV_RTS_Pos) </span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span><span class="comment">/* UA_FUNC_SEL constants definitions                                                                       */</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac756ade4c2a338617e80a2fed0ef0049">   73</a></span><span class="preprocessor">#define UART_FUNC_SEL_UART    (0x0 &lt;&lt; UART_FUN_SEL_FUN_SEL_Pos) </span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0f46769716a711a74aab6d3884ca4e05">   74</a></span><span class="preprocessor">#define UART_FUNC_SEL_LIN     (0x1 &lt;&lt; UART_FUN_SEL_FUN_SEL_Pos) </span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacd1f648a26d73fd1f47341109cc2278b">   75</a></span><span class="preprocessor">#define UART_FUNC_SEL_IrDA    (0x2 &lt;&lt; UART_FUN_SEL_FUN_SEL_Pos) </span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../dc/d03/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae4d52ef14ffe0c22f147f339f0a46e1e">   76</a></span><span class="preprocessor">#define UART_FUNC_SEL_RS485   (0x3 &lt;&lt; UART_FUN_SEL_FUN_SEL_Pos)  </span><span class="comment">/* end of group NANO1X2_UART_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2b95702ec6143af8ae540638f6ff80f2">   94</a></span><span class="preprocessor">#define UART_BAUD_MODE0        (0)</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga140a7bc3fbd481b247b31ad74f09cc80">  104</a></span><span class="preprocessor">#define UART_BAUD_MODE1        (UART_BAUD_DIV_16_EN_Msk)</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7bc943f55e64efe28999daf11d5a4ea">  116</a></span><span class="preprocessor">#define UART_BAUD_MODE1_DIVIDER(u32SrcFreq, u32BaudRate)    (((u32SrcFreq + (u32BaudRate*8)) / u32BaudRate &gt;&gt; 4)-1)</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga59118911e1bb8d8dfd8efa40bddcd1a5">  126</a></span><span class="preprocessor">#define UART_BAUD_MODE0_DIVIDER(u32SrcFreq, u32BaudRate)    (((u32SrcFreq + (u32BaudRate/2)) / u32BaudRate)-1)</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga083fbb83994e89568760f957e23d8ab2">  137</a></span><span class="preprocessor">#define UART_WRITE(uart, u8Data)    (uart-&gt;THR = (u8Data))</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span> </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7e15d2e6ae8b6bc0971dd35431c7a736">  146</a></span><span class="preprocessor">#define UART_READ(uart)    (uart-&gt;RBR)</span></div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span> </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span> </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2504484cd8946223b4306781761e3b73">  156</a></span><span class="preprocessor">#define UART_GET_TX_EMPTY(uart)    (uart-&gt;FSR &amp; UART_FSR_TX_EMPTY_F_Msk)</span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span> </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span> </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72b29b47b3a3334c6ca5f2efe2c21bb2">  166</a></span><span class="preprocessor">#define UART_GET_RX_EMPTY(uart)    (uart-&gt;FSR &amp; UART_FSR_RX_EMPTY_F_Msk)</span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga61ef2046c6aa7dd44dd482cd43d6961d">  175</a></span><span class="preprocessor">#define UART_IS_TX_EMPTY(uart)    ((uart-&gt;FSR &amp; UART_FSR_TE_F_Msk) &gt;&gt; UART_FSR_TE_F_Pos)</span></div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span> </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span> </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf96be169ef2a1bc49fd0f44831a6047c">  185</a></span><span class="preprocessor">#define UART_WAIT_TX_EMPTY(uart)    while(!((uart-&gt;FSR) &amp; (UART_FSR_TX_EMPTY_F_Msk | UART_FSR_TE_F_Msk)) )</span></div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span> </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga35dd095067af93a9e635ab3aee4c8432">  196</a></span><span class="preprocessor">#define UART_IS_RX_READY(uart)    ((uart-&gt;ISR &amp; UART_ISR_RDA_IS_Msk)&gt;&gt;UART_ISR_RDA_IS_Pos)</span></div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span> </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9888c26b3c2bf68be2619152468a9447">  208</a></span><span class="preprocessor">#define UART_IS_TX_FULL(uart)    ((uart-&gt;FSR &amp; UART_FSR_TX_FULL_F_Msk)&gt;&gt;UART_FSR_TX_FULL_F_Pos)</span></div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span> </div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabd0e6e0bf97f0f89e03313ee358788a9">  220</a></span><span class="preprocessor">#define UART_IS_RX_FULL(uart)    ((uart-&gt;FSR &amp; UART_FSR_RX_FULL_F_Msk)&gt;&gt;UART_FSR_RX_FULL_F_Pos)</span></div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span> </div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span> </div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d9f8d01bb7517d1513fb4e50b4d9d6d">  230</a></span><span class="preprocessor">#define UART_GET_TX_FULL(uart)    (uart-&gt;FSR &amp; UART_FSR_TX_FULL_F_Msk)</span></div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span> </div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span> </div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga79e0afb4463506e02dda5d4e4660bd2d">  240</a></span><span class="preprocessor">#define UART_GET_RX_FULL(uart)    (uart-&gt;FSR &amp; UART_FSR_RX_FULL_F_Msk)</span></div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span> </div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6ab7e616692b05e51820ff6196caeeee">  250</a></span><span class="preprocessor">#define UART_SET_RX_FIFO_INTTRGLV(uart, u32TriggerLevel)   ((uart)-&gt;TLCTL  = ((uart)-&gt;TLCTL  &amp;  ~UART_TLCTL_RFITL_Msk) | (u32TriggerLevel))</span></div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span> </div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae0715a29b04c2aebd5b1ba1b99f0aace">  269</a></span><span class="preprocessor">#define UART_ENABLE_INT(uart, u32eIntSel)    (uart-&gt;IER |= (u32eIntSel))</span></div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span> </div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span> </div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6806d0b82666a849ae9ef6cad6747657">  288</a></span><span class="preprocessor">#define UART_DISABLE_INT(uart, u32eIntSel)    (uart-&gt;IER &amp;= ~ (u32eIntSel))</span></div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span> </div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span> </div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7a263c6fe1e3d032abf9e4cb7556d7e">  310</a></span><span class="preprocessor">#define UART_GET_INT_FLAG(uart,u32eIntTypeFlag)    ((uart-&gt;ISR &amp; (u32eIntTypeFlag))?1:0)</span></div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span> </div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span> </div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2a2bbf1d71806c044999a316f640687d">  319</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2a2bbf1d71806c044999a316f640687d">UART_CLEAR_RTS</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart)</div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno">  320</span>{</div>
<div class="line"><a id="l00321" name="l00321"></a><span class="lineno">  321</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0c448c3fbb4d954410aaef7402d7ca7e">MCSR</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a0f3f249dd28febd4fa06cd8dbd7a5a57">UART_MCSR_LEV_RTS_Msk</a>;</div>
<div class="line"><a id="l00322" name="l00322"></a><span class="lineno">  322</span>}</div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno">  323</span> </div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga314065271811d1e0f5597c75ec9ecd7e">  330</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga314065271811d1e0f5597c75ec9ecd7e">UART_SET_RTS</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart)</div>
<div class="line"><a id="l00331" name="l00331"></a><span class="lineno">  331</span>{</div>
<div class="line"><a id="l00332" name="l00332"></a><span class="lineno">  332</span>    uart-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0c448c3fbb4d954410aaef7402d7ca7e">MCSR</a> &amp;= ~UART_MCSR_LEV_RTS_Msk;</div>
<div class="line"><a id="l00333" name="l00333"></a><span class="lineno">  333</span>}</div>
<div class="line"><a id="l00334" name="l00334"></a><span class="lineno">  334</span> </div>
<div class="line"><a id="l00341" name="l00341"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2fcd8999cc2a80f23dde3fcba363658">  341</a></span><span class="preprocessor">#define UART_RS485_CLEAR_ADDR_FLAG(uart)    (uart-&gt;TRSR  = UART_TRSR_RS485_ADDET_F_Msk)</span></div>
<div class="line"><a id="l00342" name="l00342"></a><span class="lineno">  342</span> </div>
<div class="line"><a id="l00343" name="l00343"></a><span class="lineno">  343</span> </div>
<div class="line"><a id="l00350" name="l00350"></a><span class="lineno"><a class="line" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60ec8016ded1868a689c9065088a815c">  350</a></span><span class="preprocessor">#define UART_RS485_GET_ADDR_FLAG(uart)    ((uart-&gt;TRSR  &amp; UART_TRSR_RS485_ADDET_F_Msk) &gt;&gt; UART_TRSR_RS485_ADDET_F_Pos)</span></div>
<div class="line"><a id="l00351" name="l00351"></a><span class="lineno">  351</span> </div>
<div class="line"><a id="l00352" name="l00352"></a><span class="lineno">  352</span> </div>
<div class="line"><a id="l00353" name="l00353"></a><span class="lineno">  353</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6caa32b208da0662b8f8bf2180fb57b7">UART_ClearIntFlag</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart , uint32_t u32InterruptFlag);</div>
<div class="line"><a id="l00354" name="l00354"></a><span class="lineno">  354</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56ed1b6c204c2ee6054e2273126bca8e">UART_Close</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart );</div>
<div class="line"><a id="l00355" name="l00355"></a><span class="lineno">  355</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6dcf73f1bd97886b6d501a9e932bcc60">UART_DisableFlowCtrl</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart );</div>
<div class="line"><a id="l00356" name="l00356"></a><span class="lineno">  356</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga978d8c95e3b536a84f56567f9eb35597">UART_DisableInt</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>*  uart, uint32_t u32InterruptFlag );</div>
<div class="line"><a id="l00357" name="l00357"></a><span class="lineno">  357</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7b63c003589dc997066dc8e5b77d0662">UART_EnableFlowCtrl</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart );</div>
<div class="line"><a id="l00358" name="l00358"></a><span class="lineno">  358</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13b38c30bd15f9e1f2bd4fb1cbe418cc">UART_EnableInt</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>*  uart, uint32_t u32InterruptFlag );</div>
<div class="line"><a id="l00359" name="l00359"></a><span class="lineno">  359</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadcca8d11ae146138c089c65c2a9eb428">UART_Open</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart, uint32_t u32baudrate);</div>
<div class="line"><a id="l00360" name="l00360"></a><span class="lineno">  360</span>uint32_t <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gace2c59bec6efa5ccd85986f5fa15c7e0">UART_Read</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart, uint8_t *pu8RxBuf, uint32_t u32ReadBytes);</div>
<div class="line"><a id="l00361" name="l00361"></a><span class="lineno">  361</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83fe107ad6c49af362366874e4a730e9">UART_SetLine_Config</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart, uint32_t u32baudrate, uint32_t u32data_width, uint32_t u32parity, uint32_t  u32stop_bits);</div>
<div class="line"><a id="l00362" name="l00362"></a><span class="lineno">  362</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c9d81ea9193f20ebfbd7873a4cdc8cb">UART_SetTimeoutCnt</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart, uint32_t u32TOC);</div>
<div class="line"><a id="l00363" name="l00363"></a><span class="lineno">  363</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab74d997a2c280fedd422b65cc06ed4e1">UART_SelectIrDAMode</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart, uint32_t u32Buadrate, uint32_t u32Direction);</div>
<div class="line"><a id="l00364" name="l00364"></a><span class="lineno">  364</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga012cceda57fbf706282dfc225754f9ab">UART_SelectRS485Mode</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart, uint32_t u32Mode, uint32_t u32Addr);</div>
<div class="line"><a id="l00365" name="l00365"></a><span class="lineno">  365</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga10d8bd72a87f9e2678accad6ff5ab594">UART_SelectLINMode</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart, uint32_t u32Mode, uint32_t u32BreakLength);</div>
<div class="line"><a id="l00366" name="l00366"></a><span class="lineno">  366</span>uint32_t <a class="code hl_function" href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c407ea077120e5e2e19b44742554137">UART_Write</a>(<a class="code hl_struct" href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a>* uart,uint8_t *pu8TxBuf, uint32_t u32WriteBytes);</div>
<div class="line"><a id="l00367" name="l00367"></a><span class="lineno">  367</span> </div>
<div class="line"><a id="l00368" name="l00368"></a><span class="lineno">  368</span> <span class="comment">/* end of group NANO1X2_UART_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00370" name="l00370"></a><span class="lineno">  370</span> <span class="comment">/* end of group NANO1X2_UART_Driver */</span></div>
<div class="line"><a id="l00372" name="l00372"></a><span class="lineno">  372</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00374" name="l00374"></a><span class="lineno">  374</span> </div>
<div class="line"><a id="l00375" name="l00375"></a><span class="lineno">  375</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00376" name="l00376"></a><span class="lineno">  376</span>}</div>
<div class="line"><a id="l00377" name="l00377"></a><span class="lineno">  377</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00378" name="l00378"></a><span class="lineno">  378</span> </div>
<div class="line"><a id="l00379" name="l00379"></a><span class="lineno">  379</span><span class="preprocessor">#endif </span><span class="comment">//__UART_H__</span></div>
<div class="line"><a id="l00380" name="l00380"></a><span class="lineno">  380</span> </div>
<div class="line"><a id="l00381" name="l00381"></a><span class="lineno">  381</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a0f3f249dd28febd4fa06cd8dbd7a5a57"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a0f3f249dd28febd4fa06cd8dbd7a5a57">UART_MCSR_LEV_RTS_Msk</a></div><div class="ttdeci">#define UART_MCSR_LEV_RTS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10221">Nano1X2Series.h:10221</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga012cceda57fbf706282dfc225754f9ab"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga012cceda57fbf706282dfc225754f9ab">UART_SelectRS485Mode</a></div><div class="ttdeci">void UART_SelectRS485Mode(UART_T *uart, uint32_t u32Mode, uint32_t u32Addr)</div><div class="ttdoc">The function is used to set RS485 relative setting.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00361">uart.c:361</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga10d8bd72a87f9e2678accad6ff5ab594"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga10d8bd72a87f9e2678accad6ff5ab594">UART_SelectLINMode</a></div><div class="ttdeci">void UART_SelectLINMode(UART_T *uart, uint32_t u32Mode, uint32_t u32BreakLength)</div><div class="ttdoc">Select and configure LIN function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00382">uart.c:382</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga13b38c30bd15f9e1f2bd4fb1cbe418cc"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13b38c30bd15f9e1f2bd4fb1cbe418cc">UART_EnableInt</a></div><div class="ttdeci">void UART_EnableInt(UART_T *uart, uint32_t u32InterruptFlag)</div><div class="ttdoc">The function is used to enable UART specified interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00157">uart.c:157</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga2a2bbf1d71806c044999a316f640687d"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2a2bbf1d71806c044999a316f640687d">UART_CLEAR_RTS</a></div><div class="ttdeci">__STATIC_INLINE void UART_CLEAR_RTS(UART_T *uart)</div><div class="ttdoc">Set RTS pin is low.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d86/uart_8h_source.html#l00319">uart.h:319</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga314065271811d1e0f5597c75ec9ecd7e"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga314065271811d1e0f5597c75ec9ecd7e">UART_SET_RTS</a></div><div class="ttdeci">__STATIC_INLINE void UART_SET_RTS(UART_T *uart)</div><div class="ttdoc">Set RTS pin is high.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d86/uart_8h_source.html#l00330">uart.h:330</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga4c9d81ea9193f20ebfbd7873a4cdc8cb"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c9d81ea9193f20ebfbd7873a4cdc8cb">UART_SetTimeoutCnt</a></div><div class="ttdeci">void UART_SetTimeoutCnt(UART_T *uart, uint32_t u32TOC)</div><div class="ttdoc">This function use to set Rx timeout count.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00305">uart.c:305</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga56ed1b6c204c2ee6054e2273126bca8e"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56ed1b6c204c2ee6054e2273126bca8e">UART_Close</a></div><div class="ttdeci">void UART_Close(UART_T *uart)</div><div class="ttdoc">The function is used to disable UART.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00083">uart.c:83</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga6caa32b208da0662b8f8bf2180fb57b7"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6caa32b208da0662b8f8bf2180fb57b7">UART_ClearIntFlag</a></div><div class="ttdeci">void UART_ClearIntFlag(UART_T *uart, uint32_t u32InterruptFlag)</div><div class="ttdoc">The function is used to clear UART specified interrupt flag.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00041">uart.c:41</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga6dcf73f1bd97886b6d501a9e932bcc60"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6dcf73f1bd97886b6d501a9e932bcc60">UART_DisableFlowCtrl</a></div><div class="ttdeci">void UART_DisableFlowCtrl(UART_T *uart)</div><div class="ttdoc">The function is used to disable UART auto flow control.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00096">uart.c:96</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7b63c003589dc997066dc8e5b77d0662"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7b63c003589dc997066dc8e5b77d0662">UART_EnableFlowCtrl</a></div><div class="ttdeci">void UART_EnableFlowCtrl(UART_T *uart)</div><div class="ttdoc">The function is used to Enable UART auto flow control.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00133">uart.c:133</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7c407ea077120e5e2e19b44742554137"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c407ea077120e5e2e19b44742554137">UART_Write</a></div><div class="ttdeci">uint32_t UART_Write(UART_T *uart, uint8_t *pu8TxBuf, uint32_t u32WriteBytes)</div><div class="ttdoc">The function is to write data into TX buffer to transmit data by UART.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00403">uart.c:403</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga83fe107ad6c49af362366874e4a730e9"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83fe107ad6c49af362366874e4a730e9">UART_SetLine_Config</a></div><div class="ttdeci">void UART_SetLine_Config(UART_T *uart, uint32_t u32baudrate, uint32_t u32data_width, uint32_t u32parity, uint32_t u32stop_bits)</div><div class="ttdoc">This function use to config UART line setting.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00257">uart.c:257</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga978d8c95e3b536a84f56567f9eb35597"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga978d8c95e3b536a84f56567f9eb35597">UART_DisableInt</a></div><div class="ttdeci">void UART_DisableInt(UART_T *uart, uint32_t u32InterruptFlag)</div><div class="ttdoc">The function is used to disable UART specified interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00119">uart.c:119</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab74d997a2c280fedd422b65cc06ed4e1"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab74d997a2c280fedd422b65cc06ed4e1">UART_SelectIrDAMode</a></div><div class="ttdeci">void UART_SelectIrDAMode(UART_T *uart, uint32_t u32Buadrate, uint32_t u32Direction)</div><div class="ttdoc">The function is used to configure IrDA relative settings. It consists of TX or RX mode and baudrate.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00321">uart.c:321</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gace2c59bec6efa5ccd85986f5fa15c7e0"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gace2c59bec6efa5ccd85986f5fa15c7e0">UART_Read</a></div><div class="ttdeci">uint32_t UART_Read(UART_T *uart, uint8_t *pu8RxBuf, uint32_t u32ReadBytes)</div><div class="ttdoc">The function is used to read Rx data from RX FIFO and the data will be stored in pu8RxBuf.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00223">uart.c:223</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gadcca8d11ae146138c089c65c2a9eb428"><div class="ttname"><a href="../../dc/d49/group___n_a_n_o1_x2___u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadcca8d11ae146138c089c65c2a9eb428">UART_Open</a></div><div class="ttdeci">void UART_Open(UART_T *uart, uint32_t u32baudrate)</div><div class="ttdoc">This function use to enable UART function and set baud-rate.</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/uart_8c_source.html#l00171">uart.c:171</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga0c448c3fbb4d954410aaef7402d7ca7e"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga0c448c3fbb4d954410aaef7402d7ca7e">UART_T::MCSR</a></div><div class="ttdeci">__IO uint32_t MCSR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09888">Nano1X2Series.h:9888</a></div></div>
<div class="ttc" id="astruct_u_a_r_t___t_html"><div class="ttname"><a href="../../d4/d05/struct_u_a_r_t___t.html">UART_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l09479">Nano1X2Series.h:9480</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
